For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/phone-numbers/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/phone-numbers/llms-full.txt.

# Import phone number

POST https://api.synthflow.ai/v2/custom-numbers
Content-Type: application/json

Imports a custom phone number into your workspace. This is useful for direct SIP dialing scenarios where your telephony provider does not offer elastic SIP trunking.

Reference: https://docs.synthflow.ai/api-reference/platform-api/phone-numbers/create-custom-number

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /custom-numbers:
    post:
      operationId: create-custom-number
      summary: Import phone number
      description: >-
        Imports a custom phone number into your workspace. This is useful for
        direct SIP dialing scenarios where your telephony provider does not
        offer elastic SIP trunking.
      tags:
        - subpackage_phoneNumbers
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Phone-Numbers_create-custom-number_Response_200
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Create-custom-numberRequestBadRequestError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: The workspace ID to associate the phone number with.
                phone_number:
                  type: string
                  description: The phone number to import.
                friendly_name:
                  type: string
                  description: A human-readable name for the phone number.
                trunk_username:
                  type: string
                  description: Optional SIP trunk username for authentication.
                trunk_pwd:
                  type: string
                  description: Optional SIP trunk password for authentication.
              required:
                - workspace_id
                - phone_number
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    status:
      type: string
      description: Whether the request was successful.
      title: status
    CustomNumbersPostResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        key:
          type: string
          format: uuid
          description: Unique identifier for the custom phone number.
        phone_number:
          type: string
          description: The imported phone number.
      title: CustomNumbersPostResponsesContentApplicationJsonSchemaResponse
    Phone-Numbers_create-custom-number_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: >-
            #/components/schemas/CustomNumbersPostResponsesContentApplicationJsonSchemaResponse
      title: Phone-Numbers_create-custom-number_Response_200
    Create-custom-numberRequestBadRequestError:
      type: object
      properties: {}
      title: Create-custom-numberRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/custom-numbers"

payload = {
    "workspace_id": "1710107690998x536152705164378100",
    "phone_number": "+33782990580",
    "friendly_name": "My Custom Number"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/custom-numbers"

	payload := strings.NewReader("{\n  \"workspace_id\": \"1710107690998x536152705164378100\",\n  \"phone_number\": \"+33782990580\",\n  \"friendly_name\": \"My Custom Number\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/custom-numbers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"workspace_id\": \"1710107690998x536152705164378100\",\n  \"phone_number\": \"+33782990580\",\n  \"friendly_name\": \"My Custom Number\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/custom-numbers")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"workspace_id\": \"1710107690998x536152705164378100\",\n  \"phone_number\": \"+33782990580\",\n  \"friendly_name\": \"My Custom Number\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/custom-numbers");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"workspace_id\": \"1710107690998x536152705164378100\",\n  \"phone_number\": \"+33782990580\",\n  \"friendly_name\": \"My Custom Number\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "workspace_id": "1710107690998x536152705164378100",
  "phone_number": "+33782990580",
  "friendly_name": "My Custom Number"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/custom-numbers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```